﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Entity;
using Devart.Data.MySql;

namespace MySqlFullTextSearch {

  public class MyContext : DbContext {

    public MyContext() {
    }

    public MyContext(MySqlConnection connection)
      : base(connection, false) {
    }

    static MyContext() {

      var config = Devart.Data.MySql.Entity.Configuration.MySqlEntityProviderConfig.Instance;
      config.Workarounds.DisableQuoting = true;
    }

    protected override void OnModelCreating(DbModelBuilder modelBuilder) {

    }

    public DbSet<Book> Books { get; set; }

  }
}