namespace MySqlFullTextSearch.Migrations
{
    using System.Data.Entity.Migrations;
    using Devart.Data.MySql.Entity.Migrations;
    
    public partial class CreateAdditionalIndex : DbMigration
    {
        public override void Up()
        {
          CreateIndex(
            table: "Books",
            name: "IX_Books_Author_Name",
            columns: new string[] { "Author", "Name" },
            anonymousArguments: new MySqlCreateIndexConfiguration() {
              IsFulltext = true
            });
        }
        
        public override void Down()
        {
          DropIndex(table: "Books", name: "IX_Books_Author_Name");
        }
    }
}
